import request from '@/utils/request'

// 查询特种设备吊装设备台账列表
export function listSpecDzsb(query) {
  return request({
    url: '/sems/specDzsb/list',
    method: 'get',
    params: query
  })
}

/**
 * 查询特种设备压力容器的改造记录
 */
export function getSpecDzsbByReform(devId) {
  return request({
    url: '/his/dzsb/reform/' + devId,
    method: 'get'
  })
}

// 查询特种设备吊装设备台账详细
export function getSpecDzsb(id) {
  return request({
    url: '/sems/specDzsb/' + id,
    method: 'get'
  })
}

// 新增特种设备吊装设备台账
export function addSpecDzsb(data) {
  return request({
    url: '/sems/specDzsb',
    method: 'post',
    data: data
  })
}

// 修改特种设备吊装设备台账
export function updateSpecDzsb(data) {
  return request({
    url: '/sems/specDzsb',
    method: 'put',
    data: data
  })
}

// 修改特种设备吊装设备台账
export function updateSpecDzsbBatch(data) {
  return request({
    url: '/sems/specDzsb/editBatch',
    method: 'put',
    data: data
  })
}

//修改特种设备吊装设备台账
export function updateSpecDzsbPre(data) {
  return request({
    url: '/his/dzsb',
    method: 'post',
    data: data
  });
}

// 删除特种设备吊装设备台账
export function delSpecDzsb(id) {
  return request({
    url: '/sems/specDzsb/' + id,
    method: 'delete'
  })
}

// 导出特种设备吊装设备台账
export function exportSpecDzsb(query) {
  return request({
    url: '/sems/specDzsb/export',
    method: 'get',
    params: query
  })
}

// 导出特种设备吊装设备台账
export function exportSpecList(query) {
  return request({
    url: '/sems/specDzsb/exportDevList',
    method: 'get',
    params: query
  })
}

// 去重
export function duplicate(query) {
  return request({
    url: '/sems/specDzsb/duplicate',
    method: 'get',
    params: query
  })
}

//批量导入文件
export function importFiles(data) {
  return request({
    url: '/sems/specDzsb/importFiles',
    method: 'post',
    data: data
  })
}

// 导出zip
export function downloadFileZip(query) {
  return request({
    url: '/sems/specDzsb/downloadFileZip',
    method: 'get',
    params: query,
    responseType: 'blob' //
  })
}
